1. #1
    Hi all,

    Perhaps there is someone who played the campaign "Luftwaffe Pilot: Battle of Britain" of FlatSpinMan. I am interested in playing it but read that you need to have the version IL2 MERGED 4.05m and onwards.

    Did I miss something? Where can I get the version 4.05m? I only have 4.04m.

    Many thanks for any clarification.

    Michael the WildeSau
    Share this post

  2. #2
    Hi all,

    Perhaps there is someone who played the campaign "Luftwaffe Pilot: Battle of Britain" of FlatSpinMan. I am interested in playing it but read that you need to have the version IL2 MERGED 4.05m and onwards.

    Did I miss something? Where can I get the version 4.05m? I only have 4.04m.

    Many thanks for any clarification.

    Michael the WildeSau
    Share this post

  3. #3
    4.05m is the 4.04m version + the PE-2 Peshka addon which you can buy as a paid download (15€)in the ubi store. www.ubi.com. However you should get the 46 edition, since it only costs 30€ but includes 3 addons (PE-2/Manchuria/1946) and grants you access to the latest updates.
    Share this post

  4. #4
    Many thanks YellowSub, this makes things clearer for me.

    I think I really have to get IL-1946...

    Mayn thanks.

    Michael WildeSau
    Share this post

  5. #5
    Share this post